/*
 * Copyright (c) 2007-2011 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.sisu.filetasks.task;

import java.io.File;
import org.sonatype.sisu.filetasks.FileTask;

/**
 * Create a directory.
 * <p>
 * All parents are created if they do not exist. A directory that already exists is silently ignored.
 *
 * @since 1.0
 */
public interface CreateDirectoryTask
    extends FileTask
{
    /**
     * Set the directory to create
     *
     * @param directoryToCreate the dir to create
     * @return CreateDirectoryTask for fluent API
     */
    CreateDirectoryTask setDirectory(File directoryToCreate);
}
